# Interface LinearAdRoll

Represents a single block of one or more ads that plays at a specific time in a specific order.

This is also referred to (elsewhere) as an ad pod.

interface LinearAdRoll {
absoluteEndTime(): number;
absoluteStartTime(): number;
clientOptions(ops): Record<string, unknown>;
duration(): number;
first(): null | LinearAd;
get(i): LinearAd;
indexOf(ad): number;
isMidRoll(): boolean;
isPostRoll(): boolean;
isPreRoll(): boolean;
last(): null | LinearAd;
length(): number;
linearAds(): LinearAd[];
startTimeOffset(): number;
timeOffset(): number;
type(): number;
update(adBreaks, adIndex): LinearAd;
updateTimimg(): void;
}

#####
Index

### Methods

absoluteEndTime
absoluteStartTime
clientOptions
duration
first
get
indexOf
isMidRoll
isPostRoll
isPreRoll
last
length
linearAds
startTimeOffset
timeOffset
type
update
updateTimimg

## Methods

### absoluteEndTime

- absoluteEndTime(): number

- #### Returns number

### absoluteStartTime

- absoluteStartTime(): number

- #### Returns number

### clientOptions

- clientOptions(ops): Record<string, unknown>

- #### Parameters

  - ops: Record<string, unknown>

  #### Returns Record<string, unknown>

### duration

- duration(): number

- #### Returns number

### first

- first(): null | LinearAd

- #### Returns null | LinearAd

### get

- get(i): LinearAd

- #### Parameters

  - i: number

  #### Returns LinearAd

### indexOf

- indexOf(ad): number

- #### Parameters

  - ad: LinearAd

  #### Returns number

### isMidRoll

- isMidRoll(): boolean

- #### Returns boolean

### isPostRoll

- isPostRoll(): boolean

- #### Returns boolean

### isPreRoll

- isPreRoll(): boolean

- #### Returns boolean

### last

- last(): null | LinearAd

- #### Returns null | LinearAd

### length

- length(): number

- #### Returns number

### linearAds

- linearAds(): LinearAd[]

- #### Returns LinearAd[]

### startTimeOffset

- startTimeOffset(): number

- #### Returns number

### timeOffset

- timeOffset(): number

- #### Returns number

### type

- type(): number

- #### Returns number

### update

- update(adBreaks, adIndex): LinearAd

- #### Parameters

  - adBreaks: Record<string, unknown>[]
  - adIndex: number

  #### Returns LinearAd

### updateTimimg

- updateTimimg(): void

- #### Returns void